org.eclipse.gef.zest.fx.providers

## Class NodePartAnchorProvider

- java.lang.Object
- - org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl<IVisualPart<? extends javafx.scene.Node>>
  - - org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider
    - - org.eclipse.gef.zest.fx.providers.NodePartAnchorProvider

All Implemented Interfaces:
  IAdaptable.Bound<IVisualPart<? extends javafx.scene.Node>>, IAnchorProvider

    public class NodePartAnchorProvider
    extends DefaultAnchorProvider

A specific `DefaultAnchorProvider` that reflects the node shape as the outline to place anchors at.

### Property Summary

### Properties inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptable`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Constructor Summary

Constructors
Constructor and Description
`NodePartAnchorProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected IGeometry` `computeAnchorageReferenceGeometry(DynamicAnchor anchor)`

### Methods inherited from class org.eclipse.gef.mvc.fx.providers.DefaultAnchorProvider

`createDynamicAnchor, get, getDefaultAnchor, getOrthogonalAnchor, initializeComputationParameters`

### Methods inherited from class org.eclipse.gef.common.adapt.IAdaptable.Bound.Impl

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodePartAnchorProvider

    public NodePartAnchorProvider()

### Method Detail

#### computeAnchorageReferenceGeometry

    protected IGeometry computeAnchorageReferenceGeometry(DynamicAnchor anchor)

Overrides:
  `computeAnchorageReferenceGeometry` in class `DefaultAnchorProvider`